# 绘服务住户功能说明

## 功能说明

* __物业服务__：物业公司针对小区住户提供的各项物业服务功能，具体如下：

  * 物业缴费：业主查询关联房屋的账单，如有欠费可以在线缴纳费用。也可以通过绘管家后台推送的电子账单查看账单进行缴费。为保障住户隐私，该功能首选需要`入住房屋`。

  * 入住房屋：用于住户主动将其微信与住户居住房屋关联，以享受部分需要验证房屋信息的物业服务，如查看账单，缴费，室内报修等。入住前，首先业主需要在微信端绑定手机号（通过短信验证码绑定）。为简化操作，目前入住房屋采用匹配`绘管家`后台录入的住户手机号后四位号码的方式完成入住验证。举例来说，假设系统在小区房屋号1-101录入了一个手机号为13812345678的业主，则住户选择1-101房间后，点击`查询`按钮，会弹出匹配手机号的窗口，手机号后四位隐藏，显示为1381234****，住户需要正确输入后四位访客入住该房屋。

  * 报修：用于住户向物业提报设施设备损坏情况，督促物业方进行维修。分为室内报修和公共区域报修两种，其中室内报修是指住户房屋内的报修，需要明确指定房号，因此室内报修首先需要住户`入住房屋`。

  * 电话：用于住户查看物业对外公开的服务电话号码，如物业管理中心，收费员，水电工，保安等电话号码。

  * 通知公告：查看物业公司向住户发布的本小区的各项公示公告。

  * 投诉表扬：反馈业务的一种，属于物业提供给住户的一个线上沟通渠道，分为表扬和投诉。

  * 咨询建议：反馈业务的一种，属于物业提供给住户的一个线上沟通渠道，分为咨询和建议。

  * 生活缴费：链接到微信的生活缴费，与绘管家业务无关系。

  * 制度标准：物业向住户公示的本小区的服务制度、流程、标准、小区公约、收费标准等信息。

  * 访客通行：该功能仅限安装了智能人脸门禁设备的小区使用，用于住户向到访访客申请访客通行密码或二维码，访客可通过该密码或二维码出入小区。

  * 人脸通行：该功能仅限安装了智能人脸门禁设备的小区使用，用于住户在线录入人脸，申请在小区刷脸通行，同时可帮助家人录入人脸。录入的人脸物业经过物业审核，由物业方决定住户可通行的门禁。

  * 最新动态：展示与住户相关的事项最新动态，如报修进展，欠费账单，反馈进展等。

* __社区生活__：平台方为业主提供的一些与日常生活相关的资讯，智能设备，周边服务等。

  * 物业常识：资讯流，用于平台向住户普及物业服务知识，增加住户对物业服务的了解，进而理解物业工作。

  * 民生政策：资讯流，用于住户浏览本地相关的民生政策。

  * 绘享生活：资讯流：平台向住户提供的居家养生知识文章。

  * 小区周边：基于百度地图的LBS信息展示，展示小区周边的交通，教育，医疗，生活和娱乐配套信息。

  * 充电桩：小区周边的充电桩设备展示。

  * 智能停车：小区停车系统缴费入口，如果是临时车辆可以在线缴费出场。

  * 电商导流：帮助社区汇易Go引流，展示小区周边的汇易Go配送分店。

* __个人中心__：住户个人相关的业务查看和管理，如查看个人信息，绑定手机号，欠费账单，缴费记录，充电记录等。


