# 绘服务宇松人脸门禁操作流程

宇松人脸门禁支持两种方式上传人脸，一是住户在`绘服务`公众号上通过`人脸通行`功能主动录入人脸，二是住户到物业服务中心，由物业客服人员通过`绘管家`微信公众号的`人脸通行`功能录入业主人脸。

某个小区是否开通`人脸通行`功能和`访客通行`功能由绘服务后台统一管理。

## 住户录入人脸

* 入住房屋

为保障住户信息的准确性，和减轻物业客服人员的审核工作，住户通过`绘服务`自助录入人脸之前，首先需要入住房屋（未绑定手机号的住户需先绑定手机号）。入住房屋功能在`物业服务`的`入住房屋`中完成， 入住时需要验证住户在物业管理处预留的住户手机号，如下图所示，选择您本人的手机号验证，补齐手机号尾号后四位数字即可。

![入住房屋](image/check-in.png)

* 录入人脸

已入住的业主可以在物业服务中点击“人脸通行”按钮添加人脸。添加人脸可以选择从手机相册选择照片或拍照，要求照片清晰，头像居中凸显无遮挡，不佩戴墨镜，背景单一，整个面部像素需要在400x400以上最佳，示例照片如下：

![示例人脸](image/face.png)

* 申请通行

人脸添加完毕后，即可点击“提交审核”按钮提交给物业管理处人员审核，物业管理处人员确认人脸为本小区住户后，将会将人脸下发到门禁设备，如照片拍摄无误，则下发照1-2分钟后即可正常通行。系统在审核通过或失败后将会以微信消息的方式通知您审核结果。

* 添加家人

如果人脸审核通过，则可以自助的方式添加家人，添加家人时请务必拍摄家庭成员照片，填写真实姓名和手机号，以便物业管理处人员核实。家人的审核结果也会以微信消息的方式通知。需要注意的事，家人只能与本人在相同的门禁通行。


## 物业客服录入人脸

推荐住户自助录入的方式录入人脸，如业主确实不方便自己录入照片（如无智能手机），请到物业管理处录入人脸，录入完成后为保证能够通行，建议在物业管理处等待1-2分钟，确认门禁设备审核通过后再离开，以免因为照片问题导致无法通行。

绘管家公众号上的流程和绘服务类似，但是为了保证是本小区的物业人员，小区使用该功能前，需要将负责人脸录入的员工信息汇总给平台录入。

* 员工授权

在`绘服务`后台，设备管理中的的`门禁`模块中，`审核人员`中添加审核员工。该员工需要就职物业公司在绘管家后台开通账号，并且登录绘管家公众号已绑定其微信。审核人员添加由智慧城工作人员完成，操作界面如下：

![添加小区人脸审核人员](image/review_employee.jpg)

* 已授权的员工登录绘管家微信公众号（微信搜索公众号“绘管家”即可），在个人中心即可看到`人脸审核`和`人脸录入`两个功能。如下图所示。

![员工个人中心](image/employee-user.jpg)

* 人脸录入

人脸录入需要录入住户姓名，手机号，居住房屋号和选择通行门禁，并拍摄住户人脸照片，即可上传。人脸录入后，将进入待审核状态，等待设备下载人脸照片，一般30秒内会更新审核结果。如果长时间没有审核结果，建议现场人员检查设备网络连接状态。

* 人脸审核

由物业人员录入的人脸因为是现场核实后录入的，无需审核。对于住户自助上传的照片，需要物业客服人员审核，如果照片不符合要求或不是本小区居民可直接将该申请拒绝，拒绝时需要填写拒绝原因。如果审核信息无误，选择通行门禁，确认通过即可。

* 修改住户信息

实际操作过程中可能会录错信息，可以点击人脸审核列表对应的住户修改信息。对于已经通过审核的住户，可以添加漏掉的通行门禁。

![审核操作](image/review.jpg)

## 访客通行

人脸录入审核通过后，为方便临时来访人员出入，业主可以在手机端申请访客密码让访客通行。在“物业服务”页面点击“访客通行”，选择相应的门禁设备后，填写来访访客信息即可生成访客动态密码。需要注意的是，为保证小区的人身财产安全，访客密码仅在20分钟内有效，失效后如有需要可重新获取。

对于在物业自助录入人脸的住户，由于系统无法匹配个人微信与通行照片，因此无法使用该功能，建议优先使用自助录入人脸的方式通行。访客通行密码申请步骤如下图。

![访客操作过程](image/visitor.png)
